
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 公告
 *
 * @author YXF
 * @date 2020-11-25 17:57:56
 */
public class Notice extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 公告id
     */
    private Long id;

    /**
     * 店铺id(0为平台端发布的公告  其他为商家端发布的公告)
     */
    private Long shopId;

    /**
     * 类型（平台端同时创建多类型公告）(1:在商家端展示 2:在用户端展示 3：在供应商端展示)
     */
    private String types;

    /**
     * 商家可见范围 (为空则全部可见)
     */
    private String multiShopIds;

    /**
     * 用户可见范围 (为空则全部可见)
     */
    private String userIds;

    /**
     * 供应商可见范围 (为空则全部可见)
     */
    private String supplierIds;

    /**
     * 公告标题
     */
    private String title;

    /**
     * 公告内容
     */
    private String content;

    /**
     * 状态(1:公布 0:撤回)
     */
    private Integer status;

    /**
     * 是否置顶
     */
    private Integer isTop;

    /**
     * 发布时间
     */
    private Date publishTime;

    /**
     * 是否已读(1:已读 0:未读)
     */
    private Integer isLearning;


    /**
     * 是否立即发送 1：立即发送    0：定时发送
     * @return
     */
    private Integer immediatelySend;

    /**
     * 发送时间
     */
    private Date sendTime;

    public Integer getImmediatelySend() {
        return immediatelySend;
    }

    public void setImmediatelySend(Integer immediatelySend) {
        this.immediatelySend = immediatelySend;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Integer getIsLearning() {
        return isLearning;
    }

    public void setIsLearning(Integer isLearning) {
        this.isLearning = isLearning;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }


    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getIsTop() {
        return isTop;
    }

    public void setIsTop(Integer isTop) {
        this.isTop = isTop;
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public String getTypes() {
        return types;
    }

    public void setTypes(String types) {
        this.types = types;
    }

    public String getMultiShopIds() {
        return multiShopIds;
    }

    public void setMultiShopIds(String multiShopIds) {
        this.multiShopIds = multiShopIds;
    }

    public String getUserIds() {
        return userIds;
    }

    public void setUserIds(String userIds) {
        this.userIds = userIds;
    }

    public String getSupplierIds() {
        return supplierIds;
    }

    public void setSupplierIds(String supplierIds) {
        this.supplierIds = supplierIds;
    }

    @Override
    public String toString() {
        return "Notice{" +
                "id=" + id +
                ", shopId=" + shopId +
                ", types='" + types + '\'' +
                ", multiShopIds='" + multiShopIds + '\'' +
                ", userIds='" + userIds + '\'' +
                ", supplierIds='" + supplierIds + '\'' +
                ", title='" + title + '\'' +
                ", content='" + content + '\'' +
                ", status=" + status +
                ", isTop=" + isTop +
                ", publishTime=" + publishTime +
                ", isLearning=" + isLearning +
                ", immediatelySend=" + immediatelySend +
                ", sendTime=" + sendTime +
                '}';
    }
}
